<?xml version="1.0" encoding="ISO-8859-1" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
xmlns:f="http://java.sun.com/jsf/core" 
xmlns:h="http://java.sun.com/jsf/html">
<h:head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<h1>Ajout Competence</h1>
</h:head>

<body>
<h:form id="form">
<h:panelGrid columns="2">
<h:outputText value="Title"/> <h:inputText value="#{competenceBean.title}"/> 
<h:outputText value="Description" /> <h:inputText value="#{competenceBean.description}"></h:inputText>

<h:outputText value="Famille" /><h:selectOneMenu value="#{competenceBean.famille}">
<f:selectItem itemLabel="Selectionner le famille de competence" itemValue=""/>
<f:selectItems value="#{fam.famille}"/>
</h:selectOneMenu>
<h:outputText value="Niveau"/> <h:inputText value="#{competenceBean.niveau}"/> 
<h:commandButton id="btn" value="ajouter" action="#{competenceBean.addComp()}"/>  
<h:message for="btn"/>
</h:panelGrid>
</h:form>
</body>
</html>